# Uses of Class
org.apache.lucene.queries.spans.SpanWeight

Packages that use SpanWeight
Package
Description
org.apache.lucene.queries.payloads
The payloads package provides Query mechanisms for finding and using payloads.
org.apache.lucene.queries.spans
The calculus of spans.

- ## Uses of SpanWeight in org.apache.lucene.queries.payloads

  Subclasses of SpanWeight in org.apache.lucene.queries.payloads
  Modifier and Type
  Class
  Description
  `class`
  `SpanPayloadCheckQuery.SpanPayloadCheckWeight`
  Weight that pulls its Spans using a PayloadSpanCollector
  Methods in org.apache.lucene.queries.payloads that return SpanWeight
  Modifier and Type
  Method
  Description
  `SpanWeight`
  PayloadScoreQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `SpanWeight`
  SpanPayloadCheckQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  Constructors in org.apache.lucene.queries.payloads with parameters of type SpanWeight
  Modifier
  Constructor
  Description
  ``
  `SpanPayloadCheckWeight(IndexSearcher searcher, Map<Term,TermStates> termStates, SpanWeight matchWeight, float boost, SpanPayloadCheckQuery.PayloadType payloadType)`

- ## Uses of SpanWeight in org.apache.lucene.queries.spans

  Subclasses of SpanWeight in org.apache.lucene.queries.spans
  Modifier and Type
  Class
  Description
  `class`
  `SpanContainingQuery.SpanContainingWeight`
  Creates SpanContainingQuery scorer instances
  `class`
  `org.apache.lucene.queries.spans.SpanContainQuery.SpanContainWeight`
  `class`
  `SpanNearQuery.SpanNearWeight`
  Creates SpanNearQuery scorer instances
  `class`
  `SpanNotQuery.SpanNotWeight`
  Creates SpanNotQuery scorer instances
  `class`
  `SpanOrQuery.SpanOrWeight`
  Creates SpanOrQuery scorer instances
  `class`
  `SpanPositionCheckQuery.SpanPositionCheckWeight`
  Creates SpanPositionCheckQuery scorer instances
  `class`
  `SpanTermQuery.SpanTermWeight`
  Creates SpanTermQuery scorer instances
  `class`
  `SpanWithinQuery.SpanWithinWeight`
  Creates SpanWithinQuery scorer instances
  Methods in org.apache.lucene.queries.spans that return SpanWeight
  Modifier and Type
  Method
  Description
  `SpanWeight`
  FieldMaskingSpanQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `SpanWeight`
  SpanContainingQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `SpanWeight`
  SpanMultiTermQueryWrapper.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `SpanWeight`
  SpanNearQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `SpanWeight`
  SpanNotQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `SpanWeight`
  SpanOrQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `SpanWeight`
  SpanPositionCheckQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `abstract SpanWeight`
  SpanQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `SpanWeight`
  SpanTermQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `SpanWeight`
  SpanWithinQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  Methods in org.apache.lucene.queries.spans with parameters of type SpanWeight
  Modifier and Type
  Method
  Description
  `static Map<Term,TermStates>`
  SpanQuery.`getTermStates(SpanWeight... weights)`
  Build a map of terms to `TermStates`, for use in constructing SpanWeights
  Method parameters in org.apache.lucene.queries.spans with type arguments of type SpanWeight
  Modifier and Type
  Method
  Description
  `static Map<Term,TermStates>`
  SpanQuery.`getTermStates(Collection<SpanWeight> weights)`
  Build a map of terms to `TermStates`, for use in constructing SpanWeights
  Constructors in org.apache.lucene.queries.spans with parameters of type SpanWeight
  Modifier
  Constructor
  Description
  ``
  `SpanContainingWeight(IndexSearcher searcher, Map<Term,TermStates> terms, SpanWeight bigWeight, SpanWeight littleWeight, float boost)`
  ``
  `SpanNotWeight(IndexSearcher searcher, Map<Term,TermStates> terms, SpanWeight includeWeight, SpanWeight excludeWeight, float boost)`
  ``
  `SpanPositionCheckWeight(SpanWeight matchWeight, IndexSearcher searcher, Map<Term,TermStates> terms, float boost)`
  ``
  `SpanWithinWeight(IndexSearcher searcher, Map<Term,TermStates> terms, SpanWeight bigWeight, SpanWeight littleWeight, float boost)`
  Constructor parameters in org.apache.lucene.queries.spans with type arguments of type SpanWeight
  Modifier
  Constructor
  Description
  ``
  `SpanNearWeight(List<SpanWeight> subWeights, IndexSearcher searcher, Map<Term,TermStates> terms, float boost)`
  ``
  `SpanOrWeight(IndexSearcher searcher, Map<Term,TermStates> terms, List<SpanWeight> subWeights, float boost)`